#######################################################################
# Copyright (c) 2025 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateInventoryDevices < ActiveRecord::Migration
  def change
    create_table :inventory_devices do |t|
      t.string :name
      t.string :sources, array: true, default: []
      t.datetime :first_seen
      t.datetime :last_seen
      t.string :ips, array: true, default: []
      t.text :comments
      t.boolean :locked, default: false

      t.timestamps

      t.references :sensor, index: true
      t.references :inventory_device_type_object, foreign_key: true, null: true
      t.references :operating_system_object, foreign_key: true, null: true
      t.references :hardware_object, foreign_key: true, null: true
      t.references :criticality, foreign_key: true, null: true
    end
  end
end